package com.virtual.plat.server.servlet;

import com.extjs.gxt.ui.client.data.BaseModelData;
import com.virtual.plat.client.operator.LoginInfo;
import com.virtual.plat.client.operator.LoginService;
import com.virtual.plat.server.virtualhost.DomainHandler;
import java.io.PrintWriter;
import java.net.URLDecoder;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.context.WebApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

public class NoVNCServlet extends HttpServlet {

   private static final long a = 1L;
   private static Log b = LogFactory.getLog(NoVNCServlet.class);
   private DomainHandler c = null;
   private WebApplicationContext d;


   public void init() {
      this.d = WebApplicationContextUtils.getRequiredWebApplicationContext(this.getServletContext());
   }

   protected void doGet(HttpServletRequest var1, HttpServletResponse var2) {
      this.doPost(var1, var2);
   }

   protected void doPost(HttpServletRequest var1, HttpServletResponse var2) {
      try {
         String var3 = "fail";
         LoginInfo var4 = (LoginInfo)var1.getSession().getAttribute(LoginService.ATTR_LOGIN_INFO_IN_SESSION);
         int var5 = Integer.valueOf(var1.getParameter("operateType")).intValue();
         Long var6 = Long.valueOf(Long.parseLong(var1.getParameter("id")));
         Long var7 = Long.valueOf(Long.parseLong(var1.getParameter("cloudId")));
         String var8 = var1.getParameter("domainName");
         String var11 = URLDecoder.decode(var1.getParameter("title"), "UTF-8");
         this.c = (DomainHandler)this.d.getBean("domainHandler");
         if(this.c == null) {
            a(var3, var2);
         } else {
            BaseModelData var9;
            (var9 = new BaseModelData()).set("id", var6);
            var9.set("title", var11);
            var9.set("cloudId", var7);
            var9.set("domainName", var8);
            switch(var5) {
            case 0:
               this.c.noVNCStartDomain(var9, var4.getLoginName(), var4.getUserName(), var4.getLoginIp());
               var3 = "success";
               break;
            case 1:
               this.c.noVNCShutDownDomain(var9, var4.getLoginName(), var4.getUserName(), var4.getLoginIp());
               var3 = "success";
               break;
            case 2:
               this.c.noVNCCloseDomain(var9, var4.getLoginName(), var4.getUserName(), var4.getLoginIp());
               var3 = "success";
               break;
            case 3:
               this.c.connect(var9, var4.getLoginName(), var4.getUserName(), var4.getLoginIp());
               var3 = "success";
               break;
            case 99:
               var3 = this.c.refreshPage(var9);
            }

            a(var3, var2);
         }
      } catch (Exception var10) {
         b.error((Object)null, var10);
         a("fail", var2);
      }
   }

   private static void a(String var0, HttpServletResponse var1) {
      var1.setContentType("text/plain;charset=UTF-8");
      PrintWriter var2;
      (var2 = var1.getWriter()).println(var0);
      var2.close();
   }

}
